﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Creating Entitlement Update Rules</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating Entitlement Update Rules</h1>
        <p>Entitlement rule is fired if any of the property/attribute of an entitlement value changes or is updated. The entitlement update rule works in conjunction with the non-elastic analytical Runtime control of preventative type. You can define queries in analytical Non-ES preventative control based on which you want to link the control in entitlement update rule. Once the entitlement update rule is met, tasks are created and once the task is approved, actions selected in Entitlement Update Rule are performed.</p>
        <h3>Use-Case-1</h3>
        <p>For example, there are certain critical ports in AWS which are closed and you do not want these ports to be open. If at all, the closed ports are opened then the entitlement update rule should be fired and the instance should be stopped. You can define a query in Preventative Analytical Non-ES runtime control. Once analytical control is created, you can define an entitlement update rule, mentioning <b>Action Type</b> as EC2, select <b>Control name</b> of the Preventative analytical control you defined earlier, and action for Entitlement Update Rule as "<b>Stop EC2 instance</b>" from the action drop-down list. As soon as the property or permission for the closed port is open, it will map the preventative control type which is linked to entitlement update rule. The entitlement update rule is fired and the action defined which is stopping an EC2 instance will be done because of the change in permission of the entitlement - which in this case is the opening of closed ports.</p>
        <h3 id="CreatingEntitlementUpdateRules-Use-Case-2">Use-Case-2</h3>
        <p>Related to BOX application, you can define a runtime analytical control (Non-ES) of type preventative by specifying a query such as denying users to upload sensitive file with specific keywords such as "SSN". Once the control is created you can create an Entitlement Update Rule with <strong>Action Type</strong> as <strong>Box,&#160;</strong>select <strong>Control&#160;name </strong>of the Preventative analytical control you defined earlier, and <strong>action </strong>for Entitlement Update Rule as "<strong>Quarantine</strong>" from the action drop-down list. Whenever an event occurs in BOX such as a user sharing a sensitive file which has SSN keyword the file is moved to Quarantine folder - which is not accessible by anyone. This provides additional security for critical entitlements or privileges, which you do not want to be compromised.&#160;</p>
        <p>To create entitlement update rule, perform the following steps:</p>
        <ol>
            <li>Go to<strong> ADMIN &gt;&#160;Policies&#160; &gt; Entitlement Update Rule.</strong></li>
            <li>Click the<strong> Actions</strong> arrow and select<strong> Entitlement Update Rule.<br /></strong></li>
            <li>
                <p class="auto-cursor-target">Provide rule values in the<strong> Create Entitlement Update Rule</strong> parameters and click<strong> Send for Approval</strong>.<br />The values in the parameters marked with an asterisk (*) are mandatory.</p>
                <table class="TableStyle-Default-Table" style="mc-table-style: url('../Resources/TableStyles/Default-Table.css');width: 100%;" cellspacing="0">
                    <col class="TableStyle-Default-Table-Column-Column1" />
                    <col class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameters</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Rule Name</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter the entitlement update rule name.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Rule Description</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter additional description for the entitlement update rule.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <th colspan="2" style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Action Type</p>
                            </th>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">S3</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Primarily S3 is used and related with Amazon S3 Buckets. To define an entitlement rule related to S3 buckets, you need to select S3.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">EC2</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">EC2 indicates the Amazon AWS EC2 instance. To define an&#160;entitlement rule related to EC2 instance, you need to select EC2.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">BOX</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">BOX refers to the cloud content management and file sharing application.&#160;To define an&#160;entitlement rule related to Box cloud app, you need to select BOX.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">VPC</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">VPC indicates the Amazon Virtual Private Cloud (VPC) which is an on-demand configurable pool of shared computing resources within a public cloud environment. To define an&#160;entitlement rule related to AWS VPC, you need to select VPC.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">IAM</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text"><b>AWS IAM</b> provides identity management capabilities for <b>AWS</b> customers by enabling IT administrators to control which users have permission to access various <b>AWS</b> resources and the type of actions they can perform.&#160;To define an&#160;entitlement rule related to AWS IAM, you need to select IAM.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">KMS</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">AWS Key Management Service (KMS) is a managed service that makes it easy for you to create and control the encryption keys used to encrypt your data.&#160;To define an&#160;entitlement rule related to AWS KMS, you need to select KMS.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">SNS</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text"><b>AmazonSimple</b> Notification Service (SNS) is a notification service provided as part of Amazon Web Services.&#160;SNS can also deliver messages by SMS.&#160;To define an&#160;entitlement rule related to AWS SNS, you need to select SNS.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">REDSHIFT</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Amazon Redshift refers to the Internet hosting services and data warehouse, which forms a larger group of AWS cloud-computing platform.&#160;To define an&#160;entitlement rule related to AWS Redshift, you need to select Redshift.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">EBSVolume</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Elastic Block Store (<b>Amazon EBS</b>) provides persistent block storage volumes for use with&#160;Amazon EC2 instances in the AWS Cloud.&#160;To define an&#160;entitlement rule related to AWS EBSVolume, you need to select EBSVolume.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Config</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text"><b>AWS Config</b> is a service that enables you to assess, audit, and evaluate the configurations of your AWS resources.&#160;To define an&#160;entitlement rule related to AWS config, you need to select Config.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">GoogleApps</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">GoogleApps or GApps refers to the Google suite of Cloud based messaging and collaborative tools hosted on Google's own servers.&#160;To define an&#160;entitlement rule related to GApps, you need to select <b>GoogleApps</b>.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">AWSObject</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">AWS Object storage solution such as Amazon S3 and Amazon Glacier enables you to manage your storage in one place with an easy to use application interface.&#160;To define an&#160;entitlement rule related to AWS object, you need to select <b>AWS Object</b>.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Office365</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Office 365 provides the Microsoft Office cloud subscription services.&#160;To define an&#160;entitlement rule related to Office 365, you need to select Office 365.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Select Control</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Allows you to select the preventative analytical control defined from Non-ES Runtime Analytics.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Action for Entitlement Update Rule</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">-Notify as Email: Allows you to send notification email to the notifier configured in the email template selected. Selecting this option, opens up one more option to select email template. Select the email template based on which you want to send the notification email.</p>
                                <p class="table-text">-Stop EC2 Instance: Applies for the AWS related actions selected in <strong>Action Type</strong> (above). This will stop the EC2 instance.</p>
                                <p class="table-text">-Send SNS notification: Applies for AWS related&#160;actions selected in <strong>Action Type</strong> (above). This will send the a simple notification service (SNS).&#160;</p>
                                <p class="table-text">-Quarantine: This action applies for Box and GApps cloud related actions selected in&#160;<strong>Action Type</strong> (above). Quarantine action moves the file / folder in the Quarantine folder.</p>
                                <p class="table-text">-Remove All Collaborators Access: This action applies to Box cloud application&#160;selected in&#160;<strong>Action Type</strong> (above). Remove All Collaborators Access will remove the access.&#160;</p>
                                <p class="table-text">-Remove Sharing Link:&#160;This action applies to Box cloud application&#160;selected in&#160;<strong>Action Type</strong> (above). Remove Sharing Link will remove the sharing link.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Rule Owner</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Click <strong>Add Rule Owner</strong> to select the user you want to assign rule ownership. Select the user to be assigned as rule owner and click <strong>Save</strong>.&#160;</p>
                                <p class="table-text">Identity Access Rules defined are displayed to Rule Owners and to Admin User only. Users who are not rule owners or Admin user cannot view the Identity Access Rules defined. This has been provided to enforce security and regulate control on rules only to users who should be governing any modification to the rules.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Username</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Displays the username of the rule owner.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Rank</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Displays the rank of the rule owner. You can update the Rule Owner Rank as per your requirement. The benefit of specifying Rule Owner is that it provides you the capability to send the Rule Approval to specific Rank owners using a custom query defined in the workflow. Using Workflow, you can specify to which Rank Owners the Rule should be sent for approval.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">First Name</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Displays the first name of the rule owner.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Last Name</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Displays the last name of the rule owner.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">City</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Displays the city name of the rule owner.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Email</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Displays the email address of the rule owner.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Comments</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Displays the comments specified for the user from the User show page. The comments field is extracted from the User show page metadata.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text">End Date</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p class="table-text">Displays the end date specified for the user from the User show page. The End Date field is extracted from the User show page metadata.</p>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
            <li>Click <strong>Send For Approval</strong> to send the rule for approval.</li>
            <li>On submission, you can view the newly created user update rule details in the<strong> Entitlement Update Rule</strong>.<br /></li>
            <li>Execute the WSRETRY Job from <strong>Utility &gt; Provisioning Job (WSRETRY)</strong> to create the tasks, complete the tasks and automatically perform provisioning or de-provisioning of specified actions to the third-party application.&#160;</li>
        </ol>
    </body>
</html>